!

API recipes

Practical examples for using the Houski API.

Examples

Search properties by partial address

Programming language

Select the programming language you want to display the code examples in.

Search properties by partial address
Find properties matching partial addresses when you don't have the full address.
Request
Shell session
curl -X GET "https://api.houski.ca/search?api_key=YOUR_API_KEY&max_results=5&query=100 main calgary"
TypeScript code
const houski_recipe_data = async (): Promise<SearchResponse> => {

    // You must copy the SearchResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/search');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('max_results', '5');
    url.searchParams.set('query', '100 main calgary');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: SearchResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": true,
  "cost_cents": 0.09999999403953552,
  "data": [
    {
      "address": "100 Martin Crossing Court NE",
      "property_id": "121066ea9febfe6d"
    },
    {
      "address": "100 Legacy Main Street SE",
      "property_id": "b6e696a369ce7c8d"
    },
    {
      "address": "102 Finch Gardens SE Main",
      "property_id": "7859ac168c8deb84"
    },
    {
      "address": "100 Martinglen Close NE",
      "property_id": "b3001564b82348b1"
    },
    {
      "address": "100 Maple Court Crescent SE",
      "property_id": "1d3d47df7c1851df"
    }
  ],
  "error": "",
  "match_meta": [
    {
      "match_value": 0.8823529481887817,
      "property_id": "121066ea9febfe6d"
    },
    {
      "match_value": 0.8823529481887817,
      "property_id": "b6e696a369ce7c8d"
    },
    {
      "match_value": 0.8235294222831726,
      "property_id": "7859ac168c8deb84"
    },
    {
      "match_value": 0.8235294222831726,
      "property_id": "b3001564b82348b1"
    },
    {
      "match_value": 0.7647058963775635,
      "property_id": "1d3d47df7c1851df"
    }
  ],
  "price_quote": false,
  "result_total": 5,
  "time_ms": 832
}